Cloud Foundry Logo
blog single gear
Security Advisory

USN-4233-1: GnuTLS update

USN-4233-1: GnuTLS update

Severity

Unknown

Vendor

Canonical Ubuntu

Versions Affected

  • Canonical Ubuntu 16.04
  • Canonical Ubuntu 18.04

Description

As a security improvement, this update marks SHA1 as being untrusted for digital signature operations.

Affected Cloud Foundry Products and Versions

Severity is unknown unless otherwise noted.

  • Xenial Stemcells
    • 621.x versions prior to 621.50
    • 456.x versions prior to 456.93
    • 315.x versions prior to 315.163
    • 250.x versions prior to 250.178
    • 170.x versions prior to 170.198
    • 97.x versions prior to 97.226
    • All other stemcells not listed.
  • cflinuxfs3
    • All versions prior to 0.153.0
  • CF Deployment
    • All versions prior to v12.25.0

Mitigation

Users of affected products are strongly encouraged to follow the mitigations below. The Cloud Foundry project recommends upgrading the following releases:

  • Xenial Stemcells
    • Upgrade 621.x versions to 621.50 or greater
    • Upgrade 456.x versions to 456.93 or greater
    • Upgrade 315.x versions to 315.163 or greater
    • Upgrade 250.x versions to 250.178 or greater
    • Upgrade 170.x versions to 170.198 or greater
    • Upgrade 97.x versions to 97.226 or greater
    • All other stemcells should be upgraded to the latest version available onĀ bosh.io.
  • cflinuxfs3
    • Upgrade all versions to 0.153.0 or greater
  • CF Deployment
    • Upgrade all versions to v12.25.0 or greater

References

History

2020-01-09: Initial vulnerability report published.

Cloud Foundry Foundation Security Team Profile Image

Cloud Foundry Foundation Security Team, AUTHOR

SEE ALL ARTICLES